<template>
  <a-layout class="main-layout">
    <NavBar/>
    <a-layout-content class="content">
        <Nuxt/>
    </a-layout-content>
    <a-layout-footer :style="{ textAlign: 'center' }">
      <a href="https://handball-ismaning.de">Handball Ismaning</a>
    </a-layout-footer>
  </a-layout>
</template>
<script lang="ts">
import Vue from 'vue'
import NavBar from '~/components/NavBar.vue'

export default Vue.extend({
  components: {
    NavBar
  }
})
</script>
<style lang="scss" scoped>
.main-layout {
  min-height: 100vh;
}
.main-layout .logo {
  width: auto;
  height: 30px;
  margin: 16px 24px 16px 0;
  float: left;
}
.content {
  margin-top: 64px;
  display: flex;
}
</style>
